Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ordersendt.php File Reference

Go to the source code of this file.

## Functions
| turnColumnsOnOff ( $rowName, $t, $ShowSavingsColumn=false, $ShowExTaxColumn=false, $ShowIncTaxColumn=false)

## Variables
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" )
| $ShowExTaxColumn = $ini->variable( "eZTradeMain", "ShowExTaxColumn" ) == "enabled" ? true : false
| $ShowIncTaxColumn = $ini->variable( "eZTradeMain", "ShowIncTaxColumn" ) == "enabled" ? true : false
| $ShowExTaxTotal = $ini->variable( "eZTradeMain", "ShowExTaxTotal" ) == "enabled" ? true : false
| $ColSpanSizeTotals = $ini->variable( "eZTradeMain", "ColSpanSizeTotals" )
| $checkups = $ini->variable( "eZTradeMain", "UPSOFF" )
| $ShowTaxBasis = $ini->variable( "eZTradeMain", "ShowTaxBasis" ) == "enabled" ? true : false
| $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $ShowCart = false
| $ShowSavingsColumn = false
| $t
| $translation = new eZINI( "kernel/eztrade/user/intl/" . $Language . "/ordersendt.php.ini", false )
| $order = new eZOrder( $OrderID )
| $user = $order->user()
| $currentUser =& eZUser::currentUser()
if(!( $currentUser && $user)) if( $currentUser->id() !=$user->id()) | $vat =false
| $tester = 1
| $items = $order->items( $OrderType )
| $i = 0
| $sum = 0.0
| $totalVAT = 0.0
| $numberOfItems = 0
| $j = 0
if( $ShowCart==true) | $usedVouchers =& $order->usedVouchers()
if(count( $usedVouchers) > 0) | $checkout = new eZCheckout()
| $instance =& $checkout->instance()
| $paymentMethod = $instance->paymentName( $order->paymentMethod() )
| $shippingType = $order->shippingType()
if(($shippingType)&&($checkups!=1)) if(($shippingType)&&($checkups==1)) | $shippingCost = $order->shippingCharge()
| $shippingVAT = $order->shippingVAT()
if( $PrintableVersion=$ini->variable("eZTradeMain", "ShowPrintableRecieptLink")) | else

## Function Documentation

## ◆ turnColumnsOnOff()

turnColumnsOnOff | ( |  | $rowName,
|  |  | $t,
|  |  | $ShowSavingsColumn = `false`,
|  |  | $ShowExTaxColumn = `false`,
|  |  | $ShowIncTaxColumn = `false`
| ) |  |

Definition at line 406 of file ordersendt.php.

References $ShowExTaxColumn, $ShowIncTaxColumn, $ShowSavingsColumn, and $t.

## Variable Documentation

## ◆ $checkout

if (count($usedVouchers) > 0) $checkout = new eZCheckout()

Definition at line 693 of file ordersendt.php.

## ◆ $checkups

$checkups = $ini->variable( "eZTradeMain", "UPSOFF" )

Definition at line 48 of file ordersendt.php.

## ◆ $ColSpanSizeTotals

$ColSpanSizeTotals = $ini->variable( "eZTradeMain", "ColSpanSizeTotals" )

Definition at line 47 of file ordersendt.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 52 of file ordersendt.php.

## ◆ $currentUser

$currentUser =& eZUser::currentUser()

Definition at line 124 of file ordersendt.php.

## ◆ $i

$i = 0

Definition at line 289 of file ordersendt.php.

## ◆ $instance

$instance =& $checkout->instance()

Definition at line 694 of file ordersendt.php.

## ◆ $items

$items = $order->items( $OrderType )

Definition at line 283 of file ordersendt.php.

## ◆ $j

$j = 0

Definition at line 441 of file ordersendt.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 40 of file ordersendt.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 51 of file ordersendt.php.

## ◆ $numberOfItems

$numberOfItems = 0

Definition at line 440 of file ordersendt.php.

## ◆ $order

$order = new eZOrder( $OrderID )

Definition at line 118 of file ordersendt.php.

## ◆ $paymentMethod

$paymentMethod = $instance->paymentName( $order->paymentMethod() )

Definition at line 695 of file ordersendt.php.

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" )

Definition at line 42 of file ordersendt.php.

## ◆ $shippingCost

if (( $shippingType)&&( $checkups!=1)) if (( $shippingType)&&( $checkups==1)) $shippingCost = $order->shippingCharge()

Definition at line 753 of file ordersendt.php.

## ◆ $shippingType

$shippingType = $order->shippingType()

Definition at line 701 of file ordersendt.php.

## ◆ $shippingVAT

$shippingVAT = $order->shippingVAT()

Definition at line 755 of file ordersendt.php.

Referenced by eZCart\addShippingVAT(), eZCart\cartTotals(), eZCart\extractShippingVAT(), eZCart\extractShippingVATPercentage(), eZOrder\orderTotals(), and eZOrderConfirmation\sendMail().

## ◆ $ShowCart

$ShowCart = false

Definition at line 56 of file ordersendt.php.

## ◆ $ShowExTaxColumn

$ShowExTaxColumn = $ini->variable( "eZTradeMain", "ShowExTaxColumn" ) == "enabled" ? true : false

Definition at line 44 of file ordersendt.php.

Referenced by turnColumnsOnOff().

## ◆ $ShowExTaxTotal

$ShowExTaxTotal = $ini->variable( "eZTradeMain", "ShowExTaxTotal" ) == "enabled" ? true : false

Definition at line 46 of file ordersendt.php.

## ◆ $ShowIncTaxColumn

$ShowIncTaxColumn = $ini->variable( "eZTradeMain", "ShowIncTaxColumn" ) == "enabled" ? true : false

Definition at line 45 of file ordersendt.php.

Referenced by turnColumnsOnOff().

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 41 of file ordersendt.php.

## ◆ $ShowSavingsColumn

$ShowSavingsColumn = false

Definition at line 57 of file ordersendt.php.

Referenced by turnColumnsOnOff().

## ◆ $ShowTaxBasis

$ShowTaxBasis = $ini->variable( "eZTradeMain", "ShowTaxBasis" ) == "enabled" ? true : false

Definition at line 49 of file ordersendt.php.

## ◆ $sum

$sum = 0.0

Definition at line 290 of file ordersendt.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "ordersendt.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
$ini
Definition: classes/admin/linklist.php:64
$Language
$Language
Definition: ordersendt.php:40

Definition at line 59 of file ordersendt.php.

Referenced by turnColumnsOnOff().

## ◆ $tester

$tester = 1

Definition at line 142 of file ordersendt.php.

## ◆ $totalVAT

$totalVAT = 0.0

Definition at line 291 of file ordersendt.php.

## ◆ $translation

$translation = new eZINI( "kernel/eztrade/user/intl/" . $Language . "/ordersendt.php.ini", false )

Definition at line 62 of file ordersendt.php.

Referenced by eZContentObjectState\allTranslations(), eZContentObjectStateGroup\allTranslations(), eZTranslatorManager\createMessage(), eZ1337Translator\findMessage(), eZBorkTranslator\findMessage(), eZShuffleTranslator\findMessage(), eZTSTranslator\handleMessageNode(), eZTSTranslator\insert(), eZContentObjectState\isValid(), eZContentObjectStateGroup\isValid(), eZContentObjectState\setCurrentLanguage(), eZContentObjectStateGroup\setCurrentLanguage(), eZContentObjectState\store(), eZContentObjectStateGroup\store(), eZContentObjectState\translationByLocale(), and eZContentObjectStateGroup\translationByLocale().

## ◆ $usedVouchers

if ($ShowCart==true) $usedVouchers =& $order->usedVouchers()

Definition at line 654 of file ordersendt.php.

## ◆ $user

$user = $order->user()

Definition at line 122 of file ordersendt.php.

## ◆ $vat

if (!($currentUser &&$user)) if ($currentUser->id() !=$user->id()) $vat =false

Definition at line 141 of file ordersendt.php.

## ◆ else

if ($PrintableVersion=$ini->variable("eZTradeMain", "ShowPrintableRecieptLink")) else

Initial value:
{
$t->set_var( "printable_reciept", "" )
$t
$t
Definition: ordersendt.php:59

Definition at line 805 of file ordersendt.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.